Creates a new user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "1001b45f-284b-442e-a240-3bf129f89846",
  "user_id": "a3bf4f07-b2b6-4409-8aa8-03e4fe3cd694",
  "user_planning_slot_type_id": "935fd9e6-fc24-4bf5-ac5a-7101c57de0e5",
  "date_from": "2026-11-19T01:54:57.756238+00:00",
  "date_to": "2026-11-19T01:54:57.756238+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-11-19T01:54:57.756238+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.